commit: 2cc5d6326649c1986b3156f9ced537e4051062e5
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 12 04:10:11 2018 +0000
Commit: Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Jan 12 04:11:57 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2cc5d632
dev-libs/libmemcache: update to eapi6
Package-Manager: Portage-2.3.14, Repoman-2.3.6
.../libmemcache/libmemcache-1.4.0_rc2-r2.ebuild | 41 ++++++++++++++++++++++
1 file changed, 41 insertions(+)
diff --git a/dev-libs/libmemcache/libmemcache-1.4.0_rc2-r2.ebuild
b/dev-libs/libmemcache/libmemcache-1.4.0_rc2-r2.ebuild
new file mode 100644
index 00000000000..30154cf1996
--- /dev/null
+++ b/dev-libs/libmemcache/libmemcache-1.4.0_rc2-r2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils toolchain-funcs
+
+MY_P=${PN}-${PV/_/.}
+
+DESCRIPTION="C API for memcached"
+HOMEPAGE="http://people.freebsd.org/~seanc/libmemcache/"
+SRC_URI="http://people.freebsd.org/~seanc/libmemcache/${MY_P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86
~sparc-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE=""
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-inline.patch
+ epatch "${FILESDIR}"/${P}-implicit_pointer.patch
+ [[ $(tc-arch) == ppc* ]] && epatch "${FILESDIR}"/${P}-ppc_ftbfs.patch
+
+ rm -rf test/unit || die
+ sed -i -e '/DIR/s,unit,,g' test/Makefile.am || die
+ sed -i \
+ -e 's,test/unit/Makefile,,g' \
+ -e '/^CFLAGS=.*Wall.*pipe/s,-Wall,${CFLAGS} -Wall,g' \
+ -e '/^OPTIMIZE=/d' \
+ -e '/^PROFILE=/d' \
+ configure.ac || die
+
+ eautoreconf
+ default
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc ChangeLog
+}